"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadConfettiPreset = void 0;
const basic_1 = require("@tsparticles/basic");
const plugin_emitters_1 = require("@tsparticles/plugin-emitters");
const updater_life_1 = require("@tsparticles/updater-life");
const plugin_motion_1 = require("@tsparticles/plugin-motion");
const updater_roll_1 = require("@tsparticles/updater-roll");
const updater_rotate_1 = require("@tsparticles/updater-rotate");
const shape_square_1 = require("@tsparticles/shape-square");
const updater_tilt_1 = require("@tsparticles/updater-tilt");
const updater_wobble_1 = require("@tsparticles/updater-wobble");
const options_js_1 = require("./options.js");
async function loadPreset(engine, refresh = true) {
    await (0, basic_1.loadBasic)(engine, false);
    await (0, shape_square_1.loadSquareShape)(engine, false);
    await (0, plugin_emitters_1.loadEmittersPlugin)(engine, false);
    await (0, plugin_motion_1.loadMotionPlugin)(engine, false);
    await (0, updater_wobble_1.loadWobbleUpdater)(engine, false);
    await (0, updater_roll_1.loadRollUpdater)(engine, false);
    await (0, updater_rotate_1.loadRotateUpdater)(engine, false);
    await (0, updater_tilt_1.loadTiltUpdater)(engine, false);
    await (0, updater_life_1.loadLifeUpdater)(engine, false);
    await engine.addPreset("confetti", options_js_1.options, false);
    await engine.refresh(refresh);
}
async function loadConfettiPreset(engine) {
    await loadPreset(engine);
}
exports.loadConfettiPreset = loadConfettiPreset;
